/* 
 * Action types {...}
 * ****************** */

// Statisitiques
export const GET_STATIMMANQUABLES_DATA = "GET_STATIMMANQUABLES_DATA";
export const GET_TITLEIMMANQUABLESSTAT_DATA = "GET_TITLEIMMANQUABLESSTAT_DATA";
export const GET_STATCAMPUSETMOI_DATA = "GET_STATCAMPUSETMOI_DATA";
export const GET_TITLECAMPUSETMOITAT_DATA = 'GET_TITLECAMPUSETMOITAT_DATA';
export const GET_STATCOURBES_DATA = "GET_STATCOURBES_DATA";

// Titre
export const GET_TITRE_DATA = "GET_TITRE_DATA";
export const GETONE_TITRE_DATA = "GETONE_TITRE_DATA";
export const POST_TITRE_DATA = "POST_TITRE_DATA";
export const PUT_TITRE_DATA = "PUT_TITRE_DATA";
export const DELETEONE_TITRE_DATA = "DELETEONE_TITRE_DATA";
export const DELETEALL_TITRE_DATA = "DELETEALL_TITRE_DATA";

// Partie
export const GET_PARTIE_DATA = "GET_PARTIE_DATA";
export const GETONE_PARTIE_DATA = "GETONE_PARTIE_DATA";
export const POST_PARTIE_DATA = "POST_PARTIE_DATA";
export const PUT_PARTIE_DATA = "PUT_PARTIE_DATA";
export const DELETEONE_PARTIE_DATA = "DELETEONE_PARTIE_DATA";
export const DELETEALL_PARTIE_DATA = "DELETEALL_PARTIE_DATA";

// Sous partie
export const GET_SOUSPARTIE_DATA = "GET_SOUSPARTIE_DATA";
export const GETONE_SOUSPARTIE_DATA = "GETONE_SOUSPARTIE_DATA";
export const POST_SOUSPARTIE_DATA = "POST_SOUSPARTIE_DATA";
export const PUT_SOUSPARTIE_DATA = "PUT_SOUSPARTIE_DATA";
export const DELETEONE_SOUSPARTIE_DATA = "DELETEONE_SOUSPARTIE_DATA";
export const DELETEALL_SOUSPARTIE_DATA = "DELETEALL_SOUSPARTIE_DATA";
export const DELETE_SOUSPARTIEPARPARTIEID_DATA = "DELETE_SOUSPARTIEPARPARTIEID_DATA";

// Relations
export const GET_JOINTURESTITREPARTIE_DATA = "GET_JOINTURESTITREPARTIE_DATA";
export const GETONE_JOINTURESTITREPARTIE_DATA = "GETONE_JOINTURESTITREPARTIE_DATA";

export const GET_JOINTURESPARTIESOUSPARTIE_DATA = "GET_JOINTURESPARTIESOUSPARTIE_DATA";
export const GETONE_JOINTURESPARTIESOUSPARTIE_DATA = "GETONE_JOINTURESPARTIESOUSPARTIE_DATA";

// Mailing
export const POST_MAILING_DATA = "POST_MAILING_DATA"